Skip to main content
GET
/
v1
/
leave-balances
/
{leave_balance_id}
/
transactions
List leave transactions
curl --request GET \
  --url https://api.plane.com/v1/leave-balances/{leave_balance_id}/transactions \
  --header 'Authorization: Bearer <token>'

Parameters

leave_balance_id
string
required
The leave balance whose ledger you want to inspect.
type
string
Only return transactions for this transaction type.
status
string
Only return transactions with this status. Supported values are posted and pending.
limit
number
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
cursor
string
A value from a previous response that lets you fetch the next page.
starting_after
string
Return results after this object ID.
ending_before
string
Return results before this object ID.

Returns

Returns a dictionary with a transactions property that contains an array of Leave Transaction objects.